Start Pipeline
Try it
POST
/v0/pipelines/{pipeline_name}/startStart the pipeline asynchronously by updating the desired status.
The endpoint returns immediately after setting the desired status.
The procedure to get to the desired status is performed asynchronously.
Progress should be monitored by polling the pipeline GET endpoints.
Note the following:
- A stopped pipeline can be started through calling
/start?initial=running,/start?initial=paused, or/start?initial=standby. - If the pipeline is already (being) started (provisioned), it will still return success
- It is not possible to call
/startwhen the pipeline has already had/stopcalled and is in the process of suspending or stopping.
Authentication
JSON web token (JWT) or API keyBearer token
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipeline_name | string | Yes | Unique pipeline name |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
initial | string | No | The `initial` parameter determines whether to after provisioning the pipeline make it become `standby`, `paused` or `running` (only valid values). |
bootstrap_policy | BootstrapPolicy | No | |
dismiss_error | boolean | No |
Response
202Action is accepted and is being performed
400Action could not be performed
application/json- objectInformation returned by REST API endpoints on error.
detailsobjectrequiredDetailed error metadata. The contents of this field is determined by `error_code`.error_codestringrequiredError code is a string that specifies this error type.messagestringrequiredHuman-readable error message.
404Pipeline with that name does not exist
application/json- objectInformation returned by REST API endpoints on error.
detailsobjectrequiredDetailed error metadata. The contents of this field is determined by `error_code`.error_codestringrequiredError code is a string that specifies this error type.messagestringrequiredHuman-readable error message.
500
application/json- objectInformation returned by REST API endpoints on error.
detailsobjectrequiredDetailed error metadata. The contents of this field is determined by `error_code`.error_codestringrequiredError code is a string that specifies this error type.messagestringrequiredHuman-readable error message.
curl -X POST 'https://api.example.com/v0/pipelines/{pipeline_name}/start?initial=<initial>&bootstrap_policy=<bootstrap_policy>&dismiss_error=<dismiss_error>' \
-H 'Authorization: Bearer YOUR_TOKEN'const response = await fetch('https://api.example.com/v0/pipelines/{pipeline_name}/start?initial=<initial>&bootstrap_policy=<bootstrap_policy>&dismiss_error=<dismiss_error>', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = await response.json();
console.log(data);interface ApiResponse {
// shape your response here
}
const response: Response = await fetch('https://api.example.com/v0/pipelines/{pipeline_name}/start?initial=<initial>&bootstrap_policy=<bootstrap_policy>&dismiss_error=<dismiss_error>', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
});
const data = (await response.json()) as ApiResponse;
console.log(data);import requests
url = "https://api.example.com/v0/pipelines/{pipeline_name}/start"
params = {
"initial": "<initial>",
"bootstrap_policy": "<bootstrap_policy>",
"dismiss_error": "<dismiss_error>"
}
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.request("post", url, params=params, headers=headers)
print(response.json())package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.example.com/v0/pipelines/{pipeline_name}/start?initial=<initial>&bootstrap_policy=<bootstrap_policy>&dismiss_error=<dismiss_error>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer YOUR_TOKEN")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(string(out))
}{
"message": "Deployment resources status (current: 'Stopping', desired: 'Stopped') cannot have desired changed to 'Provisioned'. Cannot restart the pipeline while it is stopping. Wait for it to stop before starting a new instance of the pipeline.",
"error_code": "IllegalPipelineAction",
"details": {
"status": "Stopping",
"current_desired_status": "Stopped",
"new_desired_status": "Provisioned",
"hint": "Cannot restart the pipeline while it is stopping. Wait for it to stop before starting a new instance of the pipeline."
}
}{
"message": "Unknown pipeline name 'non-existent-pipeline'",
"error_code": "UnknownPipelineName",
"details": {
"pipeline_name": "non-existent-pipeline"
}
}